`POST /api/v1/operators` — add a new operator (Admin only).
POST
/api/v1/operators
const url = 'https://example.com/api/v1/operators';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"public_key":"example","role":"example","username":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/operators \ --header 'Content-Type: application/json' \ --data '{ "public_key": "example", "role": "example", "username": "example" }'Request Body required
Section titled “Request Body required ” Media type application/json
Request body for POST /api/v1/operators.
object
public_key
required
Hex-encoded Ed25519 public key of the new operator.
string
role
Role to assign. Defaults to operator if omitted.
string
username
required
Required, immutable, human-readable username for the operator. Must
satisfy [ordo_store::validate_identifier].
string
Example generated
{ "public_key": "example", "role": "example", "username": "example"}Responses
Section titled “ Responses ”Operator created
Media type application/json
Response body for a single operator.
object
added_at
required
integer format: int64
added_by
required
string
bootstrap
required
boolean
operator_id
required
string
removed_at
integer | null format: int64
removed_by
string | null
role
required
string
username
required
string
Example generated
{ "added_at": 1, "added_by": "example", "bootstrap": true, "operator_id": "example", "removed_at": 1, "removed_by": "example", "role": "example", "username": "example"}Invalid public key or username
Admin role required
Operator or username already exists